#ifndef SYSTOOLS_HH
#define SYSTOOLS_HH

#include <mpi.h>

#include <sys/stat.h>

void createFolder(std::string prefix,std::string & outputPath, Dune::MPIHelper & helper)
{
    if(helper.rank()==0){
        if(outputPath.empty() || outputPath == "cin")
            {
                std::cout << "Enter folder name:"<<std::endl ;
                std::cin >> outputPath;
            }
        
        struct stat info;
        std::stringstream ss,ss2;
        ss2<<"./"<<prefix<<"/"<<outputPath;
        ss<<"mkdir ";
        //    int check=stat(outputPath.c_str(),&info);
        int check=stat(ss2.str().c_str(),&info);
        int CHECK=S_ISDIR(info.st_mode);
        for(;;){
            ss2.str("");
            ss2 << "./" << prefix << "/" << outputPath;
            if(stat(ss2.str().c_str(),&info)!=0){// && S_ISDIR(info.st_mode)))
                // if(prefix.empty())
                //   ss<<outputPath;
                // else
                //   ss<<prefix<<"/"<<outputPath;
                ss << ss2.str();
                system(ss.str().c_str());
                break;
            }
            else{
                if(S_ISDIR(info.st_mode)!=1 ){
                    std::cout << "File's not a folder. Type new name"<<std::endl;
                    std::cin >> outputPath;
                    std::cout << std::endl;
                }
                else{
                    std::cout<<" The folder exists.";
                    if(info.st_mode & S_IWUSR){
                        std::cout<<" With write permissions." << std::endl;
                        break;
                    }
                    else{
                        std::cout<<" No write permissions. Type new name" << std::endl;
                        std::cin >> outputPath;
                        std::cout << std::endl;
                    }
                }
            }
        }
    }
    MPI_Barrier(helper.getCommunicator());
    unsigned int len = outputPath.length();
    MPI_Bcast(&len,1,MPI_UNSIGNED,0,helper.getCommunicator());
    if(outputPath.length() < len) outputPath.insert(outputPath.end(),(size_t)(len-outputPath.length()),' ');
    else if(outputPath.length() > len) outputPath.erase(len,outputPath.length()-len);
    MPI_Bcast(const_cast<char *>(outputPath.data()),len,MPI_CHAR,0,helper.getCommunicator());
    
}




#endif
